import { RPCClientError } from '@loafer/ng-rpc';

import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';
import { MetaProbePackage } from '@overflow/commons-typescript/model/meta';

export const metaProbePackageEntityAdapter = createEntityAdapter<MetaProbePackage, RPCClientError>();
export interface State extends EntityState<MetaProbePackage, RPCClientError> {
}
export const initialState: State = metaProbePackageEntityAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...metaProbePackageEntityAdapter.getSelectors(selector),
  };
}
